Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.platform.local
Class LocalPlatform

    java.lang.Object
      cascading.platform.TestPlatform
          cascading.platform.local.LocalPlatform

    public class LocalPlatform

extends TestPlatform

Class LocalPlatform is automatically loaded and injected into a `PlatformTestCase` instance so that all *PlatformTest classes can be tested against the Cascading local mode planner.

Field Summary

Fields inherited from class cascading.platform.TestPlatform
`CLUSTER_TESTING_PROPERTY`

Constructor Summary
`LocalPlatform()`

Method Summary
`void` | `copyFromLocal(String inputFile)`
`void` | `copyToLocal(String outputFile)`
`Tap` | `getDelimitedFile(Fields fields, boolean skipHeader, boolean writeHeader, String delimiter, String quote, Class[] types, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, boolean hasHeader, String delimiter, String quote, Class[] types, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(String delimiter, String quote, FieldTypeResolver fieldTypeResolver, String filename, SinkMode mode)`
`FlowConnector` | `getFlowConnector(Map<Object,Object> properties)`
`FlowProcess` | `getFlowProcess()`
`String` | `getHiddenTemporaryPath()`
`Comparator` | `getLongComparator(boolean reverseSort)`
`Map<Object,Object>` | `getProperties()`
`Comparator` | `getStringComparator(boolean reverseSort)`
`Tap` | `getTap(Scheme scheme, String filename, SinkMode mode)`
`Tap` | `getTemplateTap(Tap sink, String pathTemplate, Fields fields, int openThreshold)`
`Tap` | `getTemplateTap(Tap sink, String pathTemplate, int openThreshold)`
`Scheme` | `getTestConfigDefScheme()`
`Scheme` | `getTestFailScheme()`
`Tap` | `getTextFile(Fields sourceFields, Fields sinkFields, String filename, SinkMode mode)`
`boolean` | `remoteExists(String outputFile)`
`boolean` | `remoteRemove(String outputFile, boolean recursive)`
`void` | `setUp()`
`void` | `tearDown()`

Methods inherited from class cascading.platform.TestPlatform
`getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowConnector, getGlobalProperties, getName, getNumMappers, getNumReducers, getTabDelimitedFile, getTabDelimitedFile, getTextFile, getTextFile, getTextFile, getTextFile, isMapReduce, isUseCluster, setNumMappers, setNumReducers, setUseCluster`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPlatform

    public LocalPlatform()

Method Detail

### setUp

    public void setUp()
               throws IOException

  Specified by:
    `setUp` in class `TestPlatform`
  Throws:
    `IOException`

### getProperties

    public Map<Object,Object> getProperties()

  Specified by:
    `getProperties` in class `TestPlatform`

### tearDown

    public void tearDown()

  Specified by:
    `tearDown` in class `TestPlatform`

### copyFromLocal

    public void copyFromLocal(String inputFile)
                       throws IOException

  Specified by:
    `copyFromLocal` in class `TestPlatform`
  Throws:
    `IOException`

### copyToLocal

    public void copyToLocal(String outputFile)
                     throws IOException

  Specified by:
    `copyToLocal` in class `TestPlatform`
  Throws:
    `IOException`

### remoteExists

    public boolean remoteExists(String outputFile)
                         throws IOException

  Specified by:
    `remoteExists` in class `TestPlatform`
  Throws:
    `IOException`

### remoteRemove

    public boolean remoteRemove(String outputFile,
                                boolean recursive)
                         throws IOException

  Specified by:
    `remoteRemove` in class `TestPlatform`
  Throws:
    `IOException`

### getFlowProcess

    public FlowProcess getFlowProcess()

  Specified by:
    `getFlowProcess` in class `TestPlatform`

### getFlowConnector

    public FlowConnector getFlowConnector(Map<Object,Object> properties)

  Specified by:
    `getFlowConnector` in class `TestPlatform`

### getTap

    public Tap getTap(Scheme scheme,
                      String filename,
                      SinkMode mode)

  Specified by:
    `getTap` in class `TestPlatform`

### getTextFile

    public Tap getTextFile(Fields sourceFields,
                           Fields sinkFields,
                           String filename,
                           SinkMode mode)

  Specified by:
    `getTextFile` in class `TestPlatform`

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                boolean hasHeader,
                                String delimiter,
                                String quote,
                                Class[] types,
                                String filename,
                                SinkMode mode)

  Specified by:
    `getDelimitedFile` in class `TestPlatform`

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                boolean skipHeader,
                                boolean writeHeader,
                                String delimiter,
                                String quote,
                                Class[] types,
                                String filename,
                                SinkMode mode)

  Specified by:
    `getDelimitedFile` in class `TestPlatform`

### getDelimitedFile

    public Tap getDelimitedFile(String delimiter,
                                String quote,
                                FieldTypeResolver fieldTypeResolver,
                                String filename,
                                SinkMode mode)

  Specified by:
    `getDelimitedFile` in class `TestPlatform`

### getTemplateTap

    public Tap getTemplateTap(Tap sink,
                              String pathTemplate,
                              int openThreshold)

  Specified by:
    `getTemplateTap` in class `TestPlatform`

### getTemplateTap

    public Tap getTemplateTap(Tap sink,
                              String pathTemplate,
                              Fields fields,
                              int openThreshold)

  Specified by:
    `getTemplateTap` in class `TestPlatform`

### getTestConfigDefScheme

    public Scheme getTestConfigDefScheme()

  Specified by:
    `getTestConfigDefScheme` in class `TestPlatform`

### getTestFailScheme

    public Scheme getTestFailScheme()

  Specified by:
    `getTestFailScheme` in class `TestPlatform`

### getLongComparator

    public Comparator getLongComparator(boolean reverseSort)

  Specified by:
    `getLongComparator` in class `TestPlatform`

### getStringComparator

    public Comparator getStringComparator(boolean reverseSort)

  Specified by:
    `getStringComparator` in class `TestPlatform`

### getHiddenTemporaryPath

    public String getHiddenTemporaryPath()

  Specified by:
    `getHiddenTemporaryPath` in class `TestPlatform`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.